ocamlweb (1.39-5build1) artful; urgency=high

  * No change rebuild against ocaml 4.04 transition.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Jun 2017 22:49:32 +0100

ocamlweb (1.39-5) unstable; urgency=medium

  * Fix value of Vcs-Git

 -- Ralf Treinen <treinen@debian.org>  Wed, 14 Dec 2016 20:49:39 +0100

ocamlweb (1.39-4) unstable; urgency=low

  * Drop Testsuite field which is no longer useful
  * Vcs-Git: use secure URI 
  * debhelper compatibility level 10:
    - bump debian/compat
    - bump build dependency on debhelper
  * Standards-Version 3.9.8 (no change)
  * patch reproducible: add Author and Description

 -- Ralf Treinen <treinen@debian.org>  Sat, 10 Dec 2016 15:42:31 +0100

ocamlweb (1.39-3) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 07:51:24 +0200

ocamlweb (1.39-2) unstable; urgency=medium

  * Team upload.
  * Make the build reproducible (Closes: #776643). Thanks to Chris Lamb
    for the patch.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 16 Jul 2015 19:40:36 +0000

ocamlweb (1.39-1) unstable; urgency=low

  * New upstream release.
  * d/control:
    - Standards-Version 3.9.6 (no change)
    - fix URIs in Vcs fields.
    - simplify recommended texlive-* packages
  * d/copyright:
    - fix pattern debian/*
    - fix order of Files stanzas
  * d/ocamlweb.docs: regexp for html documentation file
  * d/ocamlweb.doc-base: update name of html file.
  * add dep8 style package test

 -- Ralf Treinen <treinen@debian.org>  Thu, 28 May 2015 21:26:44 +0200

ocamlweb (1.38-2) unstable; urgency=low

  [Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Ralf Treinen ]
  * Standards-Version 3.9.5 (no change)
  * Recompile with ocaml 4.01.0 (no source change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 03 Dec 2013 21:42:31 +0100

ocamlweb (1.38-1) unstable; urgency=low

  * New upstream version.
    - bump version number in name of documentation file in
      debian/ocamlweb.doc{s,-base}
  * debian/rules: use absolute path names in options to ./configure
  * Standards-version 3.9.3.
    - debian/copyright: machine-readable format 1.0

 -- Ralf Treinen <treinen@debian.org>  Sun, 13 May 2012 20:15:23 +0200

ocamlweb (1.37-15) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with ocaml 3.12.1

  [ Ralf Treinen ]
  * Removed cruft file debian/rules.debhelper

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 21:08:06 +0100

ocamlweb (1.37-14) unstable; urgency=low

  * debian/rule: convert to dh. Bump version of build-dependency on debhelper
    to allow for overrides, drop dependency on cdbs.
  * install manual via dh_installdocs
  * Bump version of build-dependency on dh-ocaml to >= 0.9~. Use
    {ocaml:Depends} to get binary dependencies (closes: #599323).
  * Standards-Version: 3.9.2 (no change)
  * Dropped zack from uploaders on his request.

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Apr 2011 20:22:58 +0200

ocamlweb (1.37-13) unstable; urgency=low

  * Standards-Version 3.8.4 (no change)
  * Recompiled for ocaml 3.11.2
  * Call dh_installtex from install target in debian/rules

 -- Ralf Treinen <treinen@debian.org>  Mon, 08 Feb 2010 20:41:31 +0100

ocamlweb (1.37-12) unstable; urgency=low

  * Added Recommends on texlive-binaries, texlive-latex-base,
    removed Recommends of tetex-extra
  * Converted to source format 3.0:
    - converted dpatch patches to quilt
    - don't use dpatch CDBS rules
    - remove build-dependency on dpatch
    - add debian/source/format
  * Standards-Version 3.8.3 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 03 Jan 2010 13:50:49 +0100

ocamlweb (1.37-11) unstable; urgency=low

  [ Ralf Treinen ]
  * changed section to ocaml
  * Standards-Version 3.8.2 (no change)
  * DH level 7; update build-deps
  * Rebuild with ocaml 3.11.1

  [ Stephane Glondu ]
  * Switch packaging to git

 -- Ralf Treinen <treinen@debian.org>  Wed, 24 Jun 2009 22:40:02 +0200

ocamlweb (1.37-10) unstable; urgency=low

  [ Ralf Treinen ]
  * Depends: add ${misc:Depends} (closes: Bug#515178).
  * Convert to cdbs, build-depend on cdbs and dh-ocaml.
  * Rename debian/dirs to debian/ocamlweb.dirs

  [ Stephane Glondu ]
  * Remove Julien from Uploaders

 -- Ralf Treinen <treinen@debian.org>  Sun, 22 Feb 2009 23:14:15 +0100

ocamlweb (1.37-9) unstable; urgency=low

  * Inverse order of alternative dependencies texlive-latex-extra |
    tetex-extra, downgrade to Recommends (closes: Bug#499326, Bug#500961).
  * Standards-Version 3.8.0 (no change).
  * Document patch 01manpage-doc.
  * Use dh_installtex instead of hand-rolled post{inst,rm}, add
    build-dependency tex-common for that.

 -- Ralf Treinen <treinen@debian.org>  Tue, 07 Oct 2008 21:02:24 +0200

ocamlweb (1.37-8) unstable; urgency=low

  * doc-base file:
    - convert to utf8
    - change section to Programming/OCaml
    - fix ocaml spelling
  * Recompile for OCaml 3.10.2

 -- Ralf Treinen <treinen@debian.org>  Sun, 18 May 2008 22:08:40 +0200

ocamlweb (1.37-7) unstable; urgency=low

  [ Ralf Treinen ]
  * debian/control: use Homepage field for upstream url
  * Update Uploaders
  * Standards-Version 3.7.3 (no change)
  * Recompile for ocaml 3.10.1
  * Recode debian/copyright to utf8
  * Removed unnecessary whitespace from debian/ocamlweb.doc-base

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Feb 2008 20:17:58 +0100

ocamlweb (1.37-6) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Thu, 30 Aug 2007 20:54:40 +0200

ocamlweb (1.37-5) experimental; urgency=low

  * Rebuild for ocaml 3.10
  * Do not ignore errors of "make clean" of "clean" target in debian/rules.

 -- Ralf Treinen <treinen@debian.org>  Wed, 04 Jul 2007 19:51:27 +0200

ocamlweb (1.37-4) unstable; urgency=low

  * Removed mechanism to build debian/control from debian/control.in
    since we do not need it anymore. Use dh_gencontrol to fill in the
    version of the ocaml runtime system.
  * Allow cooperation with texlive: depends tetex-extra | texlive-latex-extra"
    (closes: Bug#381471)

 -- Ralf Treinen <treinen@debian.org>  Sun, 27 Aug 2006 15:42:57 +0200

ocamlweb (1.37-3) unstable; urgency=low

  * Standards-Version 3.7.2 (no change)
  * Automate calculation of build-dependency on ocaml
  * Rebuild with ocaml 3.09.2
  * Turn build-depends-indep on debhelper, dpatch into build-depends

 -- Ralf Treinen <treinen@debian.org>  Tue, 16 May 2006 20:32:52 +0200

ocamlweb (1.37-2) unstable; urgency=low

  * Generate ocaml-base-nox dependency at build time, to make transitions and
    backporting easier.
  * Rebuild with ocaml 3.09.1.
  * Add myself to Uploaders.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Thu, 12 Jan 2006 21:30:28 +0100

ocamlweb (1.37-1) unstable; urgency=low

  * New upstream release.
  * Added debian/svn-deblayout.
  * Standards-version 3.6.2 (no change).
  * Bump (build-)dependency on ocaml-* to 3.09.0
  * Patch 01manpage-doc: refer in the manpage to the local documentation.

 -- Ralf Treinen <treinen@debian.org>  Sat,  5 Nov 2005 13:19:07 +0100

ocamlweb (1.36-2) unstable; urgency=medium

  * Bumped (build-)dependency on ocaml-* from 3.08 to 3.08.3
  * New uploader Samuel Mimram.

 -- Ralf Treinen <treinen@debian.org>  Tue, 22 Mar 2005 22:38:54 +0100

ocamlweb (1.36-1) unstable; urgency=low

  * New upstream release.

 -- Ralf Treinen <treinen@debian.org>  Sun, 24 Oct 2004 15:10:49 +0200

ocamlweb (1.35-1) unstable; urgency=low

  * New upstream release
  * Switch to upstream's version number system since he promises to use
    sane version numbers in the future
  * Removed patch 02_ocaml since patched by upstream
  * Adapted patch 01_fullpage to modified file output.ml
  * Fixed version pattern in watch file

 -- Ralf Treinen <treinen@debian.org>  Sat,  4 Sep 2004 23:59:45 +0200

ocamlweb (1.3.4-3) unstable; urgency=low

  * Build with ocaml 3.08
  * Refine (build-) dependencies to nox ocaml packages
  * Patch 02_ocaml3.08: Use the terminfo module from ocaml 3.08 (names of
    external functions are now prefixed by "caml_")
  * Converted this changelog file to UTF-8

 -- Ralf Treinen <treinen@debian.org>  Sat, 31 Jul 2004 10:55:43 +0200

ocamlweb (1.3.4-2) unstable; urgency=low

  * Standards-Version 3.6.1 (no changes)
  * Build with ocaml-3.07.

 -- Ralf Treinen <treinen@debian.org>  Wed,  1 Oct 2003 23:14:44 +0200

ocamlweb (1.3.4-1) unstable; urgency=low

  * New upstream release (this is called 1.34 by upstream).
  * Removed dhelp from the Build-Depends-Indep.
  * Removed the "rm yacc_parser.output" from the clean target in debian/rules
    since upstream has fixed its Makefile
  * Dont't install ps version of the doc since no longer supported by
    upstream, and since html is sufficient.

 -- Ralf Treinen <treinen@debian.org>  Mon,  7 Jul 2003 21:27:21 +0200

ocamlweb (1.3.3-3) unstable; urgency=low

  * debian/control
    - bugfix: added build-dependency on dpatch (Closes: Bug#199633)

 -- Stefano Zacchiroli <zack@debian.org>  Wed,  2 Jul 2003 11:48:08 +0200

ocamlweb (1.3.3-2) unstable; urgency=low

  * Changed the Maintainer field to "Debian Ocaml Maintainers", added an
    Uploaders field with entries Sven Luther, Jerome Marant, Ralf Treinen,
    Remi Vanicat, Stefano Zacchiroli.
  * Move the setting of DH_COMPAT from debian/rules into debian/compat.
  * Standards-Version 3.5.10
  * Move to the dpatch system:
    - Add build-dependency on dpatch
    - Create directory debian/patches, put patch 01_fullpage.dpatch
      there 
    - debian/rules: include dpatch.make, have Makefile depend on patch,
      and clean depend on unpatch
  * Remove generated file yacc_parser.output in the clean target of
    debian/rules

 -- Ralf Treinen <treinen@debian.org>  Mon, 30 Jun 2003 23:47:16 +0200

ocamlweb (1.3.3-1) unstable; urgency=low

  * New upstream release (this is called 1.33 by upstream). This upstream
    release closes: Bug#190934.
  * Removed tetex-bin from Build-Depends-Indep since upstream distributes
    now the doc as an ps.gz.
  * Standards-Vesion: 3.5.9.
  * Put debian compatibility level into debian/compat.
  * output.ml: Added option "headings" to invocation of package "fullpage"
    to fix a problem with the fullpage.sty of tetex 2.0.2

 -- Ralf Treinen <treinen@debian.org>  Tue, 13 May 2003 23:15:29 +0200

ocamlweb (1.3.2-1) unstable; urgency=low

  * New upstream release (this is called 1.32 by upstream).
  * debian/rules: "make dist-clean" instead of "make clean" in clean target.
  * Replace "configure-stamp" target by "Makefile" target.
  * Simplified installation of doc files, don't try to figure in debian/rules
    the upstream version and just use wildcards.
  * Makefile.in, target clean: remove spurious call of "make -C doc".
  * Removed our install-byte target from Makefile.in since upstream now
    provides an install-byte.
  * Makefile.in, clean traget: remove yacc-parser.output

 -- Ralf Treinen <treinen@debian.org>  Tue, 28 Jan 2003 20:51:30 +0100

ocamlweb (1.3.1-4) unstable; urgency=low

  * Recompiled with ocaml 3.06-13. Depends on
    ocaml-base-3.06-1. Build-depends on ocaml-3.06-1.
  * Standards-Version: 3.5.8.
  * DH_COMPAT=4, build-depends on debhelper >= 4.0
  * debian/rules: added a configure target. clean target: rm config.log.
    Replaced build-stamp by dependency on the generated binary.
  
 -- Ralf Treinen <treinen@debian.org>  Mon, 16 Dec 2002 20:56:47 +0100

ocamlweb (1.3.1-3) unstable; urgency=low

  * Changed (build)-dependency to ocaml >= 3.06 & << 3.07, since future
    versions of ocaml are not guaranteed to work on 3.06 bytecode.

 -- Ralf Treinen <treinen@debian.org>  Fri,  4 Oct 2002 20:16:27 +0200

ocamlweb (1.3.1-2) unstable; urgency=low

  * Recompiled for ocaml 3.06, bumped up build-dependency on ocaml and
    dependency on ocaml-base to >= 3.06.

 -- Ralf Treinen <treinen@debian.org>  Fri, 30 Aug 2002 21:47:54 +0200

ocamlweb (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Upstream makefile does no longer generate an texmf/ls-R file, hence
    we don't have to remove it.
  * Upstream had the ingenious idea to use versioned filenames for 
    documentation :-(. Create symlinks.

 -- Ralf Treinen <treinen@debian.org>  Mon,  3 Jun 2002 20:19:09 +0200

ocamlweb (1.3-2) unstable; urgency=low

  * [intermediate version -not uploaded]
  * Removed a bogus DESTFILE=... in debian/rules

 -- Ralf Treinen <treinen@debian.org>  Fri,  8 Mar 2002 19:57:50 +0100

ocamlweb (1.3-1) unstable; urgency=low

  * New upstream release. This upstream realease recognizes comma as
    whitespace in ocamlyacc files (closes: Bug#130723).

 -- Ralf Treinen <treinen@debian.org>  Wed,  6 Feb 2002 23:37:24 +0100

ocamlweb (1.2-1) unstable; urgency=low

  * New upstream release. This relaese compiles with ocaml 3.04 (closes:
    Bug#130711).
  * Make package architecture independent by compiling to bytecode. Depends:
    ocaml-base. Remove dynamic creation of copyright and control file.
  * Rewrote package description.
  * Remove in upstream Makefile the invocation of autoconf.
  * Added install-byte target in Makefile.in. debian/rules calls make
    install-byte with UPDATETEX=true since we don't want to call mktexlsr.

 -- Ralf Treinen <treinen@debian.org>  Thu, 31 Jan 2002 18:41:43 +0100

ocamlweb (1.1-1) unstable; urgency=low

  * New upstream release
  * Replaces "Suggests: ocaml" by "Enhances: ocaml"
  * Cleanup rules file, remove "rm ocamlweb.byte" in clean target and
    "chmod 644 ocamlweb.sty" in install target since this is now fixed in
    upstream Makefile. Add "rm config.{cache,status}" in clean target.
  * Refer to ocamlweb home page in packet description.
  * Added Claude Marché as upstream author.
  * Remove the debian specific manpage since upstream provides one now.
  * Remove /usr/share/doc/ocamlweb/doc subdirectory, put manual directly
    in /usr/share/doc/ocamlweb
  * Renamed doc-base.ocamlweb into ocamlweb.doc-base
  * Don't install the upstream README since all its information is already
    elsewhere.

 -- Ralf Treinen <treinen@debian.org>  Wed,  7 Nov 2001 21:24:10 +0100

ocamlweb (1.0-1) unstable; urgency=low

  * New upstream release
  * DH_COMPAT=3 and policy 3.5.5.0
  * added >=3.01 for Depends: ocaml
  * use the --prefix and --mandir options of configure
  * don't install the INSTALL file
  * removed some cruft from rules

 -- Ralf Treinen <treinen@debian.org>  Sat, 16 Jun 2001 19:02:24 +0200

ocamlweb (0.9-1) unstable; urgency=low

  * New upstream release
  * Upstream moved licence to LGPL (compatibility problems with QPL)
  * Architecture: any, mofify copyright and control in case of
    byte compilation.
  * don't install /usr/share/texmf/ls-R
  * man page: added reference to the doc

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Dec 2000 19:42:11 +0100

ocamlweb (0.8-1) unstable; urgency=low

  * New upstream release
  * postrm and postinst: changed texinit to mktexlsr

 -- Ralf Treinen <treinen@debian.org>  Tue, 24 Oct 2000 20:50:39 +0200

ocamlweb (0.7-2) unstable; urgency=low

  * Took inofficial package from Georges Mariano, will put it into debian 
  * removed some unnecessary things from the debian directory
  * added build-dependencies

 -- Ralf Treinen <treinen@debian.org>  Tue, 24 Oct 2000 20:18:19 +0200

ocamlweb (0.7-1) unstable; urgency=low

  * Initial Release.

 -- Georges MARIANO <georges.mariano@inrets.fr>  Mon, 17 Apr 2000 14:52:22 +0200
